# coding: utf-8
from django.utils.translation import ugettext_lazy as _


CONTENT_FILES_CMSPLUGIN_LIST_TEMPLATES = (
    ('content_file/cms_plugins/file_list_template.html', _('Files List Page'),),
)

CONTENT_FILES_CMSPLUGIN_SHOW_IF_AUTHENTICATED = (
    ('all', _("Tutti")),
    ('authenticated', _("Authenticated")),
    ('not_authenticated', _("Not authenticated")),
)

CONTENT_FILE_FILE_STATO_CHOICES = (
    (0, _('Offline'),),
    (1, _('Online'),),
    (2, _('Draft'),),
)

