# -*- coding: utf-8 -*-
"""
helper module for jmb.content_file
"""

import datetime


def get_first_day_of_week(day):
    day_of_week = day.weekday()
    beginning_of_week = day - datetime.timedelta(days=day_of_week)
    return beginning_of_week


def get_first_day_of_month(day):
    return datetime.date(day.year, day.month, 1)


def get_first_day_of_year(day):
    return datetime.date(day.year, 1, 1)


def get_querystring_dict(request):
    query_dict = {}
    for term in request.META['QUERY_STRING'].split("&"):
        try:
            query_dict[term.split("=")[0]] = term.split("=")[1]
        except IndexError:
            continue
    return query_dict
